Package org.bukkit.material

# Class Diode

java.lang.Object
org.bukkit.material.MaterialData
org.bukkit.material.Diode

All Implemented Interfaces:
  `Cloneable`, `Directional`, `Redstone`

@Deprecated public class Diode extends MaterialData implements Directional, Redstone
Deprecated.
all usage of MaterialData is deprecated and subject to removal. Use `BlockData`.
Represents a diode/repeater in the on or off state, with a delay and facing in a specific direction.

See Also:
  - `Material.LEGACY_DIODE_BLOCK_OFF`
  - `Material.LEGACY_DIODE_BLOCK_ON`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final int`
`DEFAULT_DELAY`
Deprecated.
`protected static final BlockFace`
`DEFAULT_DIRECTION`
Deprecated.
`protected static final boolean`
`DEFAULT_STATE`
Deprecated.

## Constructor Summary

Constructors
Constructor
Description
`Diode()`
Deprecated.
Constructs a diode switched on, with a delay of 1 and facing the default direction (north).
`Diode(BlockFace facingDirection)`
Deprecated.
Constructs a diode switched off, with a delay of 1 and facing the specified direction.
`Diode(BlockFace facingDirection, int delay)`
Deprecated.
Constructs a diode switched off, with the specified delay and facing the specified direction.
`Diode(BlockFace facingDirection, int delay, boolean state)`
Deprecated.
Constructs a diode switched on or off, with the specified delay and facing the specified direction.
`Diode(Material type)`
Deprecated.
`Diode(Material type, byte data)`
Deprecated.
Magic value

## Method Summary

Modifier and Type
Method
Description
`Diode`
`clone()`
Deprecated.
`int`
`getDelay()`
Deprecated.
Gets the delay of the repeater in ticks.
`BlockFace`
`getFacing()`
Deprecated.
Gets the direction this diode is facing
`boolean`
`isPowered()`
Deprecated.
Checks if the diode is powered.
`void`
`setDelay(int delay)`
Deprecated.
Sets the delay of the repeater.
`void`
`setFacingDirection(BlockFace face)`
Deprecated.
Sets the direction this diode is facing.
`String`
`toString()`
Deprecated.

### Methods inherited from class org.bukkit.material.MaterialData

`equals, getData, getItemType, hashCode, setData, toItemStack, toItemStack`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### DEFAULT_DIRECTION

protected static final BlockFace DEFAULT_DIRECTION
Deprecated.

### DEFAULT_DELAY

protected static final int DEFAULT_DELAY
Deprecated.

See Also:
  - Constant Field Values

### DEFAULT_STATE

protected static final boolean DEFAULT_STATE
Deprecated.

See Also:
  - Constant Field Values

## Constructor Details

### Diode

public Diode()
Deprecated.
Constructs a diode switched on, with a delay of 1 and facing the default direction (north). By default this constructor creates a diode that is switched on for backwards compatibility with past implementations.

### Diode

public Diode(BlockFace facingDirection)
Deprecated.
Constructs a diode switched off, with a delay of 1 and facing the specified direction.

Parameters:
  `facingDirection` - the direction the diode is facing
See Also:
  - `BlockFace`

### Diode

public Diode(BlockFace facingDirection, int delay)
Deprecated.
Constructs a diode switched off, with the specified delay and facing the specified direction.

Parameters:
  `facingDirection` - the direction the diode is facing
  `delay` - The number of ticks (1-4) before the diode turns on after being powered
See Also:
  - `BlockFace`

### Diode

public Diode(BlockFace facingDirection, int delay, boolean state)
Deprecated.
Constructs a diode switched on or off, with the specified delay and facing the specified direction.

Parameters:
  `facingDirection` - the direction the diode is facing
  `delay` - The number of ticks (1-4) before the diode turns on after being powered
  `state` - True if the diode is in the on state
See Also:
  - `BlockFace`

### Diode

public Diode(Material type)
Deprecated.

### Diode

@Deprecated public Diode(Material type, byte data)
Deprecated.
Magic value

Parameters:
  `type` - the type
  `data` - the raw data value

## Method Details

### setDelay

public void setDelay(int delay)
Deprecated.
Sets the delay of the repeater.

Parameters:
  `delay` - The new delay (1-4)

### getDelay

public int getDelay()
Deprecated.
Gets the delay of the repeater in ticks.

Returns:
  The delay (1-4)

### setFacingDirection

public void setFacingDirection(BlockFace face)
Deprecated.
Sets the direction this diode is facing.

Specified by:
  `setFacingDirection` in interface `Directional`
Parameters:
  `face` - The direction to set this diode to
See Also:
  - `BlockFace`

### getFacing

public BlockFace getFacing()
Deprecated.
Gets the direction this diode is facing

Specified by:
  `getFacing` in interface `Directional`
Returns:
  The direction this diode is facing
See Also:
  - `BlockFace`

### toString

public String toString()
Deprecated.

Overrides:
  `toString` in class `MaterialData`

### clone

public Diode clone()
Deprecated.

Overrides:
  `clone` in class `MaterialData`

### isPowered

public boolean isPowered()
Deprecated.
Checks if the diode is powered.

Specified by:
  `isPowered` in interface `Redstone`
Returns:
  true if the diode is powered